in vec2 texCoord;
uniform sampler2D colorMap;
uniform sampler2D backgroundMap;
uniform vec4 glColor;
uniform float testvalue;
uniform float testvalue2;

void main (void)
{
	vec4 col1=texture2D(colorMap, texCoord);
	vec4 col2=texture2D(backgroundMap, texCoord);
	vec4 res;

	if (col1.r>0.1){
		if (col1.r<0.7) col1=vec4(47.0/256.0,105.0/256.0,160.0/256.0,1.0);
		res=col1;
	}
	else
		res=col2;

	gl_FragColor = res;
}
